#!/bin/sh

PORTS_LIST=" 6017 25 110 143 465 995 993 6018 80 3309 "

TELNET=$( which telnet | grep -v "("   || echo "" )

echo "-----==== LOCAL PORTS TESTING ====----"

for port in $PORTS_LIST; do

(echo "quit") | $TELNET localhost $port | grep Connected > /dev/null 2>&1

if [ "$?" -ne "1" ]; then #Ok
    echo "'$port' local PORT is CONNECTED / OCCUPIED"
    PORT_IS_USED_BY="$(fuser -n tcp -u $port 2>&1 )"

####################
#    $( lsof | grep ESTABLISHED | awk '{print $2}' )

    echo "'$port' port is used by PIDs:$PORT_IS_USED_BY"
else
    echo "'$port' local PORT is NOT CONNECTED / FREE"
fi

done;

  return 0


exit
